Loading...
Searching...
No Matches
gr::fec::tpc_encoder Class Reference

`#include <gnuradio/fec/tpc_encoder.h>`

## Public Member Functions

| ~tpc_encoder () override
double | rate () override
bool | set_frame_size (unsigned int) override
Public Member Functions inherited from gr::fec::generic_encoder
int | unique_id ()
std::string | alias ()
virtual const char * | get_input_conversion ()
virtual const char * | get_output_conversion ()
| generic_encoder (void)
| generic_encoder (std::string name)
virtual | ~generic_encoder ()

## Static Public Member Functions

static generic_encoder::sptr | make (std::vector< int > row_poly, std::vector< int > col_poly, int krow, int kcol, int bval, int qval)

## Additional Inherited Members

Public Types inherited from gr::fec::generic_encoder
typedef std::shared_ptr< generic_encoder > | sptr
Public Attributes inherited from gr::fec::generic_encoder
int | my_id
std::string | d_name
Static Public Attributes inherited from gr::fec::generic_encoder
static int | base_unique_id
Protected Attributes inherited from gr::fec::generic_encoder
gr::logger_ptr | d_logger

## Constructor & Destructor Documentation

## ~tpc_encoder()

gr::fec::tpc_encoder::~tpc_encoder | ( |  | ) |

override

## Member Function Documentation

## make()

static generic_encoder::sptr gr::fec::tpc_encoder::make | ( | std::vector< int > | row_poly,
|  | std::vector< int > | col_poly,
|  | int | krow,
|  | int | kcol,
|  | int | bval,
|  | int | qval )

static

## rate()

double gr::fec::tpc_encoder::rate | ( |  | ) |

inline override virtual

Returns the rate of the code. For every 1 input bit, there are r output bits, so the rate is 1/r. Used for setting things like the encoder block's relative rate.

This function MUST be reimplemented by the child class.

Implements gr::fec::generic_encoder.

## set_frame_size()

bool gr::fec::tpc_encoder::set_frame_size | ( | unsigned int | frame_size | ) |

inline override virtual

Updates the size of the frame to encode.

The child class MUST implement this function and interpret how the `frame_size` information affects the block's behavior. It should also provide bounds checks.

Implements gr::fec::generic_encoder.

The documentation for this class was generated from the following file:

- tpc_encoder.h